Deploying cdm probe onto a debian robot fails

Document ID : KB000111733
Last Modified Date : 03/10/2018
Show Technical Document Details
Issue:
we have an issue with deploying the cdm probe onto a debian system. We are using cdm probe version 6.30, which supports debian 8 and 9 as described in the release notes.

We try to deploy the cdm probe in IM and get a green transaction result with the message "finished".

However, the probe is not deployed to the robot and the controller.log contains messages like this:

Aug 20 13:45:12:512 [140524009854720] Controller: Could not figure out what Linux version you are running!
Aug 20 13:45:12:512 [140524009854720] Controller: Please report the following system information to support@nimsoft.com
Aug 20 13:45:12:512 [140524009854720] Controller: System information:
Aug 20 13:45:12:512 [140524009854720] Controller:   sysname:  Linux
Aug 20 13:45:12:512 [140524009854720] Controller:   node   :  sf
Aug 20 13:45:12:512 [140524009854720] Controller:   release:  4.9.0-7-amd64
Aug 20 13:45:12:512 [140524009854720] Controller:   version:  #1 SMP Debian 4.9.110-3+deb9u2 (2018-08-13)
Aug 20 13:45:12:512 [140524009854720] Controller:   machine:  x86_64
Environment:
UIM 8.51
CDM 6.30
Debian 9.2
Cause:
Debian 9 is not yet supported by the robot or any probes
The cdm release notes and the compatibility matrix have been updated to reflect this.
 
Resolution:
The below work around will allow cdm to be installed however this is not a supported configuration, If you encounter any issues they would need to be recreated on debian 8
  • In IM go to the archive
  • Find the latest version of CDM
  • right click and select copy
  • name it cdm_debian9
  • edit the cdm_debian9
  • find the section called LINUX_23_64
  • in the drop down field change the name to linux (must be lower case)
  • save and then deploy this customized package. 
BeforeAfter